httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 46168] New: pkg-config --libs-only-other: unknown option
Date Fri, 07 Nov 2008 16:00:25 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=46168

           Summary: pkg-config --libs-only-other: unknown option
           Product: Apache httpd-2
           Version: 2.2.10
          Platform: PC
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P2
         Component: Build
        AssignedTo: bugs@httpd.apache.org
        ReportedBy: jd@cpanel.net


With 2.2.10, Apache's configure script was updated to determine the OpenSSL
linker flags using pkg-config.  One of the flags passed to pkg-config isn't
universally supported and prevents configure from finding the OpenSSL
libriares.

On CentOS 3 openssl is linked against kerberos and requires
-L/usr/kerberos/lib(64)

checking for openssl/opensslv.h... yes
checking openssl/ssl.h usability... yes
checking openssl/ssl.h presence... no
configure: WARNING: openssl/ssl.h: accepted by the compiler, rejected by the
preprocessor!
configure: WARNING: openssl/ssl.h: proceeding with the compiler's result
checking for openssl/ssl.h... yes
not encouraging
WARNING: OpenSSL version may contain security vulnerabilities!
         Ensure the latest security patches have been applied!
  adding "-I/usr/kerberos/include" to CPPFLAGS
  adding "-I/usr/kerberos/include" to INCLUDES
--libs-only-other: unknown option
  forcing SSL_LIBS to "-lssl -lcrypto -lgssapi_krb5 -lkrb5 -lcom_err -lk5crypto
-lresolv -ldl -lz  "
  adding "-lssl" to LIBS
  adding "-lcrypto" to LIBS
  adding "-lgssapi_krb5" to LIBS
  adding "-lkrb5" to LIBS
  adding "-lcom_err" to LIBS
  adding "-lk5crypto" to LIBS
  adding "-lresolv" to LIBS
  adding "-ldl" to LIBS
  adding "-lz" to LIBS
checking openssl/engine.h usability... yes
checking openssl/engine.h presence... yes
checking for openssl/engine.h... yes
checking for SSLeay_version... no
checking for SSL_CTX_new... no
checking for ENGINE_init... no
checking for ENGINE_load_builtin_engines... no
checking for SSL_set_cert_store... no
configure: error: ... Error, SSL/TLS libraries were missing or unusable

The problem is that this version of pkg-config doesn't support
--libs-only-other

[root@localhost httpd-2.2.10]# pkg-config --libs-only-L --libs-only-other
openssl
--libs-only-other: unknown option

[root@localhost httpd-2.2.10]# pkg-config --libs openssl
-L/usr/kerberos/lib -L/usr/kerberos/lib64 -lssl -lcrypto -lgssapi_krb5 -lkrb5
-lcom_err -lk5crypto -lresolv -ldl -lz  

[root@localhost httpd-2.2.10]# pkg-config --libs-only-L openssl
-L/usr/kerberos/lib -L/usr/kerberos/lib64


-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message